[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Graph' (#rtl)

# Bar

Draw filled rectangle

## Declaration

Source position: graphh.inc line 791

`procedure Bar(`
`x1: SmallInt;`
`y1: SmallInt;`
`x2: SmallInt;`
`y2: SmallInt`
`);`

## Description

Draws a rectangle with corners at (X1,Y1) and (X2,Y2) and fills it with the current color and fill-style.

## Errors

None.

## See also

Bar3D |  | Draw filled 3-dimensional rectangle
Rectangle |  | Draw a rectangle on the screen.